{% extends 'admin_connected_base.html.twig' %}

{% block title %}Liste des destinations disponibles !
{% endblock %}

{% block body %}
	<div class="bg-light p-3">
		<h3>Liste des destinations :
		</h3>
		<a class="btn btn-primary mt-2 mb-2 float-right" href="{{ path('destination_createOrEdit', { id : 0 })}}">
			<i class="fas fa-plus fa-solid"></i>Ajouter
		</a>
	</div>
	<div class="ml-2 mt-2">
		<table class="table table-striped" style="color: #1d1e20;">
			<thead>
				<tr>
					<th scope="col" colspan="3">Nom</th>
					<th scope="col">Image</th>
					<th scope="col">Prix</th>
					<th scope="col">Durée de voyage</th>
					<th scope="col"></th>
					<th scope="col"></th>
					<th scope="col"></th>

				</tr>
			</thead>
			<tbody>
				{% for destination in destinations %}
					<tr>
						<td colspan="3">{{destination.name}}</td>
						<td><img width="10%" height="20%" src="{{ asset(destination.images[0].path) }}" alt=" photos de la destination {{destination.name}}"/></td>
						<td>{{ destination.price}}</td>
						<td>{{destination.travelTime}}</td>
						<td>
							<button class=" btn btn-success">
								<i class="bi bi-binoculars"></i>
								Visulaiser
							</button>
						</td>
						<td>
							<a href="{{ path('destination_createOrEdit', { 'id' : destination.id } )}}" class=" btn btn-warning">
								<i class="bi bi-pencil-fill"></i>
								Modifier
							</a>
						</td>
						<td>
							<a href="{{ path('destination_remove', { 'id' : destination.id } )}}" class="btn btn-danger">
								<i class="bi bi-trash-fill"></i>
								Supprimer</a>
						</td>
					</tr>
				{% endfor %}
			</tbody>
		</table>

	</div>
{% endblock %}
